# TorSwitch


## What is it?

TorSwitch is a fork of TorGhost. It configures the onion router to redirect all internet traffic through SOCKS5 Tor proxy. DNS requests are also redirected via Tor, thus preventing DNS leaks. The script also disables unsafe packets exiting the system. Some packets like ping request can compromise your identity, therefore they are blocked.


## Build and install from source

If you are feeling lucky and running SystemD, then you can try out build script, that is mostly untested and deprecated:

```bash
sh ./build.sh
```


## Usage

```bash
sudo python3 torswitch/torswitch.py -h
```

or

Make script executable:

```bash
cd torswitch && chmod u+x torswitch.py && mv torswitch.py torswitch
```

And use it like:

```bash
torswitch -h
```


## TODO

1. Fix build script on trisquel
2. Test the OpenRC version
3. Make auto-detection of init system and merge both versions to single script
4. Rewrite in 6502 assembly